function AESuperheater = AESuperheater(x,Td,msh,mFG,P)
% States
Tsh = x(1)*1e2; TFGsh = x(2)*1e3; 

% Parameters
CpSteam = P(1); CpFG = P(2); CpWater = P(3); Tref = P(5)*1e2; Trefbp = P(6)*1e2;
TFG0 = P(14); UAsh = P(15); dHvap311  = P(7);


% Specific enthalpy [J/kg]
hd = CpWater*(Td*1e2-Tref) + dHvap311; % In
hsh = CpWater*(Trefbp-Tref) + dHvap311 + CpSteam*(Tsh-Trefbp); % Out

% Heat flow from heat exchange [J/s]
Qsh = UAsh*((TFG0 + TFGsh)/2 - (Td*1e2+Tsh)/2);

% Implict algebraic equations
f1 = msh*hd - msh*hsh + Qsh; % To find Tsh
f2 = mFG*CpFG*(TFG0 - TFGsh)- Qsh; % To find TFGsh

AESuperheater = [f1*1e-4; f2*1e-3];
end
