function f = DAEEconomizer(x,meco,Tc,TFGd,mFG,P)
% Dynamic states
Teco = x(1)*1e2;
% Algebraic state
TFGeco = x(2)*1e2; 

% Parameters
CpWater = P(3); Tref = P(5)*1e2; UAeco = P(17); CpFG = P(2);


% Specific enthalpies [J/kg]
heco_in = CpWater*(Tc*1e2 - Tref); % In
heco_out = CpWater*(Teco - Tref); % Out

Meco = 1;
Qeco = UAeco*((TFGd*1e2 + TFGeco)/2 - (Tc*1e2 + Teco)/2);

% Differential equations
dTecodt = (1/(Meco*CpWater))*(meco*(heco_in - heco_out) + Qeco); 

% Implicit algebraic equations
f1 = mFG*CpFG*(TFGd*1e2 - TFGeco) - Qeco; % To find TFGeco

f = [dTecodt; f1*1e-6];
end


