function HPOutput = HPTurbine(mt,Ta,Ptin,Php,P)
% Parameters
CpSteam = P(1);

% Explicit algebraic equations
Thp = Ta*1e2*(Php*1e5/(Ptin*1e6))^0.23; % Intermediate temperature after HP turbine
Whp = (mt*CpSteam*(Thp-Ta*1e2))*1e-6; % Power output from HP turbine

HPOutput = [Thp*1e-2; Whp];
end

