function f = Mixer(meco,meco_b,Tc,Teco,P)
% Parameters
CpWater = P(3); Tref = P(5)*1e2;


% Specific enthalpies [J/kg]
heco = CpWater*(Teco*1e2 - Tref); % In from economizer
heco_b = CpWater*(Tc*1e2 - Tref); % In from economizer bypass

% Explicit algebraic equations
mmix = meco + meco_b; % Mass balance
Tmix = ((meco*heco + meco_b*heco_b)/(mmix*CpWater) + Tref)*1e-2; % Energy balance


f = [Tmix; mmix];
end
