function dxadt = ODEAttemperator(x,ma_b,Tsh,msh,ma,Tc,P)
% Dynamic states
Ma = x(1)*10; Ta = x(2)*1e2; 

% Parameters
CpSteam = P(1); CpWater = P(3); Tref = P(5)*1e2; Trefbp = P(6)*1e2; dHvap311  = P(7);

% Specific enthalpies [J/kg]
hsh = CpWater*(Trefbp-Tref) + dHvap311 + CpSteam*(Tsh*1e2-Trefbp);
ha_b = CpWater*(Tc*1e2-Tref);
ha = CpWater*(Trefbp-Tref) + dHvap311 + CpSteam*(Ta-Trefbp);

dMat = msh + ma_b - ma; % Dynamic massbalance for the mixer
dTadt = (1/(CpSteam*Ma))*(msh*hsh + ma_b*ha_b - ma*ha - CpSteam*Ta*(msh + ma_b - ma));


dxadt = [dMat; dTadt];
end

