function dxCondenserdt = ODECondenser(x,mt,Tlp,mp,Qc,P)
% Dynamic states
Mc = x(1)*1e2; Tc = x(2)*1e2;

% Parameters
CpSteam = P(1); CpWater = P(3); Tref = P(5)*1e2; dHvap45 = P(8);

% Specific enthalpies [J/kg]
ht = CpWater*(Tref-Tref) + dHvap45 + CpSteam*(Tlp*1e2-Tref);
hp = CpWater*(Tc-Tref);

% Differential equations
dMcdt = mt - mp; % Dynamic massbalance for the condenser
dTcdt = (1/(Mc*CpWater))*(mt*ht - mp*hp + Qc - Tc*CpWater*(mt-mp)); % Dynamic energybalance for the condenser

dxCondenserdt = [dMcdt; dTcdt];
end

