function res = Pump(P_in,N)
% Parameters
k1 = 1.183706028877623e-17;
k2 = 0;
k3 = 7.899284845569505e+07;
dPs =6.759494735796115e+06;
rho = 970; % kg/m^3
rho_ref = 974; % kg/m^3

% Precalculations
F =  N*(k1/(k2+(1/k3)))^(0.5); %  Volumetric flow
dPq = k3*rho_ref*F^2; % Pressure drop across load
dP = (dPs + dPq); % Pressure rise across pump

% Explicit algebraic equations
P_out = P_in*1e3 + dP; % Discharge pressure to speed
mp = F*rho; % Mass flow
P_w = dP*F/0.9; % Pump power

res = [P_out*1e-6; mp; P_w];
end

