function AER = Reheater(x,mt,mFG_r,Thp_out,P)
% Static states
Tr = x(1)*1e2; TFG_r = x(2)*1e2; 

% Parameters
CpSteam = P(1); CpFG = P(2); CpWater = P(3); Tref = P(5)*1e2; Trefbp = P(6)*1e2;
dHvap311  = P(7); TFG0 = P(14); UAr = P(18);

% Specific enthalpies [J/kg]
hhp = mt*(CpWater*(Trefbp-Tref) + dHvap311 + CpSteam*(Thp_out*1e2 - Trefbp)); % In
hr = mt*(CpWater*(Trefbp-Tref) + dHvap311 + CpSteam*(Tr - Trefbp)); % Out

% Heat flow from heat exchanger [J/s]
Qr = UAr*((TFG0+TFG_r)/2 - (Thp_out*1e2+Tr)/2);

f1 = hhp - hr + Qr; % To find Tr
f2 = mFG_r*CpFG*(TFG0 - TFG_r) - Qr; % To find TFG_r

AER = [f1*1e-4; f2*1e-3];
end


