function mt = StodolaEq(Pa,Ta,Plp,Kt,P)
% Parameters
Mmwater = P(4); R = P(12);


% Precalculations
rho = Pa*1e6*Mmwater/(R*Ta*1e2); % Calculating density

%% Constant volumetric flow
% qs = 0.250629371189482; % Flow coefficient
% mt = qs*rho; % Computing mass flow

%% Stodola Approximation

PR = Pa*1e6/(Plp*1e3); % Pressure ratio
mt = Kt*sqrt(rho*Pa*1e6*(1-(1/PR)^2)); % Computing mass flow
end

