%% Plotting MVs and CVs for the VPC simulation

fullfig(1)
hold on

n = 5;
m = 2;

subplot(n,m,1)
plot(time,Md*1e3,time,Md_s*1e3)
xlabel('Time [s]')
ylabel('Holdup [kg]')
legend('M_d','M_{ds}')

subplot(n,m,2)
plot(time,md,time,msh)
xlabel('Time [s]')
ylabel('Mass flow [kg/s]')
legend('m_d','m_{sh}')

subplot(n,m,3)
plot(time,Ta*1e2, time, Ta_s*1e2)
xlabel('Time [s]')
ylabel('Temperature [K]')
legend('T_a','T_{as}')

subplot(n,m,4)
plot(time,ma_b)
xlabel('Time [s]')
ylabel('Mass flow [kg/s]')
legend('m_{a,b}')

subplot(n,m,5)
plot(time,Tr*1e2,time,Tr_s*1e2)
xlabel('Time [s]')
ylabel('Temperature [K]')
legend('T_{r}','T_{rs}')

subplot(n,m,6)
plot(time,mFG_r)
xlabel('Time [s]')
ylabel('Flue gas [kg/s]')
legend('m_{FG,r}')

subplot(n,m,7)
plot(time,Tc*1e2,time,Tc_s*1e2)
xlabel('Time [s]')
ylabel('Temperature [K]')
legend('T_c','T_{cs}')

subplot(n,m,8)
plot(time,Qc)
xlabel('Time [s]')
ylabel('Heat flow [J/s]')
legend('Q_c')

subplot(n,m,9)
plot(time,TFG_eco*1e2,time,TFG_eco_s*1e2)
xlabel('Time [s]')
ylabel('Temperature [K]')
legend('T_{FGeco}','T_{FGecos}')

subplot(n,m,10)
plot(time,meco_b)
xlabel('Time [s]')
ylabel('Mass flow [kg/s]')
legend('m_{eco,b}')

fullfig(figure(2))

i = 3;
j = 1;


subplot(i,j,1)
plot(time,W,time,W_s)
xlabel('Time [s]')
ylabel('Power [MW]')
legend('W','W_s')

subplot(i,j,2)
plot(time,zt)
xlabel('Time [s]')
ylabel('Valve position')
legend('z_t')

subplot(i,j,3)
plot(time,mFG)
xlabel('Time [s]')
ylabel('Flue gas [kg/s]')
legend('m_{FG}')

hold off