%% Author: Ida Andersskog

clear
close all
clc;
warning off

%% Run parameters, control tunings

runtime = 1500;
relTol = 1e-7;

run Parameters.m   % Computation script for inital conditions
run CTVPC.m % Controller tunings

% Run simulink

sim('H2PVPC.slx')

%% Plot settings

set(0,'DefaultTextFontName','Times',...
    'DefaultTextFontSize',30,...
    'DefaultAxesFontName','Times',...
    'DefaultAxesFontSize',31,...
    'DefaultLineLineWidth',2.5,...
    'DefaultLineMarkerSize',7.75,...
    'DefaultStairLineWidth',1);
set(findall(gcf,'Type','text'),'FontSize',30,'Interpreter','latex');
set(gcf,'color','white');


%% Run desired plot script

%run PlotWz.m
%run PlotWmFG.m
% run PlotTrmFGr.m
%run PlotTFGecomecob.m
%run PlotTcQc.m
%run PlotTamab.m
%run PlotWzTamab.m
%run PlotPdz.m
%run PlotPdmFG
%run PlotMdmd.m
%runPlotMVCVVPC.m
%run PlotPressures.m
%run PlotVPC.m
%run PlotTwoCs.m
%run PlotMVCVTD.m
%run PlotBDTD.m

%% Run tuning scripts

%run TTr.m
%run TW.m
%run TTFGeco.m
%run TTc.m
%run TTa.m
%run Tzt.m

