%% SS Script
syms Qsh Qd Qeco UAsh UAd UAeco TFGsh TFGd TFGeco Tmix Qr UAr TFGr

Tt_hp_r = 3.90; 

% Economizer
heco_in = meco_0*CpWater*(Tc_0 - Tref)*1e2;
heco_out = meco_0*CpWater*(Teco_0- Tref)*1e2;

% Mixer/ Drum inlet
heco_b = meco_b_nom*CpWater*(Tc_0 - Tref)*1e2; 
hmix = md_nom*CpWater*(Tmix - Tref*1e2);

% Drum outlet// Superheater inlet
hd = md_nom*(CpWater*(Td_0-Tref)*1e2 + dHvap311); 
Hd = Md_0*1e2*hd/md_nom;

% Superheater outlet
hsh      = md_nom*(CpWater*(Trefbp-Tref)*1e2 + dHvap311 + ...
    CpSteam*(Tsh_0-Trefbp)*1e2);

% Outlet HP Turbine
Hhp     = CpWater*(Trefbp*1e2-Tref*1e2) + dHvap311 + ...
    CpSteam*(Tt_hp_r*1e2-Trefbp*1e2);  
hhp     = (md_nom+ma_b_nom)*Hhp; 
 
% Outlet reheater
Hr    = CpWater*(Trefbp*1e2-Tref*1e2) + dHvap311 + ...
    CpSteam*(Tr_0*1e2-Trefbp*1e2);
hr    = (md_nom+ma_b_nom)*Hr;

% Superheater
eqn(1) = hd-hsh+Qsh==0; % Energy balance steam side
eqn(2) = mFG_nom*CpFG*(TFG0-TFGsh)- ...
    UAsh*((TFG0+TFGsh)/2-(Td_0*1e2+Tsh_0*1e2)/2)==0; % Obtain UAsh
eqn(3) = mFG_nom*CpFG*(TFG0-TFGsh)-Qsh==0;   % Energy balance gas side

% Drum
eqn(4) = hmix - hd + Qd == 0; % Energy balance steam side
eqn(5) = mFG_nom*CpFG*(TFGsh-TFGd)-...
    UAd*((TFGsh+TFGd)/2-(Td_0*1e2+Tmix)/2)==0; % Obtain UAd
eqn(6) = mFG_nom*CpFG*(TFGsh-TFGd)-Qd==0; % Energy balance gas side

% Economizer
eqn(7) = heco_in - heco_out + Qeco == 0; % Energy balance steam side
eqn(8) = mFG_nom*CpFG*(TFGd-TFGeco)-...
    UAeco*((TFGd+TFGeco)/2-(Tc_0*1e2+Teco_0*1e2)/2)==0; % Obtain UAeco
eqn(9) = mFG_nom*CpFG*(TFGd-TFGeco) - Qeco == 0; % Energy balance gas side

% Mixer/Drum inlet
eqn(10) = heco_out + heco_b - hmix == 0; %% To find Tmix

% Reheater

eqn(11) = hhp-hr+Qr == 0; % Energy balance steam side
eqn(12) = mFG_r_nom*CpFG*(TFG0-TFGr)-...
    UAr*((TFG0+TFGr)/2-(Tt_hp_r*1e2+Tr_0*1e2)/2)==0; % Obtain UAr
eqn(13) = mFG_r_nom*CpFG*(TFG0-TFGr) - Qr==0;% Energy balance gas side

sol=solve(eqn,UAsh,UAd,UAeco,Qsh,Qd,Qeco,TFGsh,TFGd,TFGeco,Tmix,UAr,Qr,TFGr);