
Tt_in_0_r = Ta_0*1e2;

% Computing mass flow through stodola approximation
rho3 = Pt_in_0*1e6*Mmwater/(R*Tt_in_0_r); % Calculating density
PR = Pt_in_0*1e6/(Pt_out_0*1e3); % Pressure ratio
% Stodola equation for mturbine
mturbine = Kt*sqrt(rho3*Pt_in_0*1e6*(1-(1/PR)^2)); 
m4 = mturbine; % At nominal conditions

% Equations
Pt_hp_0_r = Pt_hp_0*1e5; % Pressure out of HP turbine [Pa]
% Computing intermediate temperature after HP turbine
Tt_hp_0_r = Tt_in_0_r*(Pt_hp_0_r/(Pt_in_0*1e6))^0.23; 
% Computing power output from HP turbine
W_hp_r = (mturbine*CpSteam*(Tt_hp_0_r-Tt_in_0_r)); 

% Computing temperature out of LP turbine
Tt_lp_0_r = Tr_0*1e2*(Pt_out_0*1e3/Pt_hp_0_r)^0.23; 
% Computing power output from LP turbine
W_lp_r = (mturbine*CpSteam*(Tt_lp_0_r-Tr_0*1e2)); 
W_r = W_hp_r+W_lp_r; % Total power output [W]

% Specific enthalpies [J/kg]
hturbine_r = CpWater*(Tref-Tref)*1e2 + dHvap45 +...
    CpSteam*(Tt_lp_0_r-Tref*1e2); % Into condenser
h4_r = CpWater*(Tc_0-Tref)*1e2; % Out of condenser

% Cooling water heat flow [J/s]
Qc_r = m4*h4_r - mturbine*hturbine_r;